# RPM specfile for aspell-de module
# Generated Fri Dec 12 20:39:30 2003 GMT by Ximian build system
# $Id: bb_do,v 1.241 2003/07/31 17:23:14 thunder Exp $
# from 

%define nam	aspell-de
%define ver	0.50.2
%define licensedir	%{_datadir}/licenses/%{nam}-%{ver}
%define ximrev	1

Name:     	aspell-de
Version: 	0.50.2
Release:	0.ximian.0.1
Vendor:		Ximian, Inc.
Distribution:	Ximian Evolution for SuSE Linux Desktop 1.0 / i586
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc/packages

BuildArch:      noarch
Source0:	aspell-de-0.50-2.tar.bz2
BuildRequires:	aspell-devel
Summary:	Deutsch dictionaries for ASpell
Group:		Applications/Text
Requires:	aspell >= 0.50
Provides:	aspell-dictionary
Provides:	ximian-aspell-de = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description
ASpell requires a dictionary to function properly. This package contains the set of lists that are best for general purpose spell-checkers.

%files
%defattr(-, root, root)
/usr/share/aspell/*
/usr/lib/aspell/*
%dir /usr/share/aspell
%dir /usr/lib/aspell


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n aspell-de-0.50-2
    ;;
all)
%setup  -q -n aspell-de-0.50-2
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} DESTDIR=${DESTDIR} install
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Fri Dec 12 2003 Ximian, Inc.

- Version: 0.50.2-0.ximian.0.1
- Summary: New build.
- New automated build.

